Topic
No replies
SystemAdmin
SystemAdmin
6902 Posts
ACCEPTED ANSWER

Pinned topic "init_baselib() returned an unexepected result"when issuing oslevel command

‏2013-02-01T14:41:26Z |
Hello Friends,

I'm trying to install Firefox for AIX. However I see some inconsistencies in my AIX 6.1 system:

When running *oslevel s or when using the rpm command in the system the following error appears:

*>*oslevel -s
rpm_share: 0645-025 Unable to locate command module tar.
rpm_share: 0645-007 ATTENTION: init_baselib() returned an unexpected result.
6100-02-06-0943

I got to a certain point troubleshooting init_baselib(), and did the procedure as indicated by the following link http://deadlycoffee.com/?p=1047&cpage=1#comment-3504

Here is the function when the error generates:

+get_known_rmls()
{
trap interrupted INT QUIT TERM
typeset BUF

# BUF=$(print_min_rml)
BUF="6.1.2.2.0-00"
if [ ! -s $mlinfo ]; then
KWN_RML_LEVS=$BUF
return 0
fi
+

The assignment above was commented intentionally to troubleshoot what happened when I hardcoded the variable value. In effect, the init_baselib() error dissappears. But when reinstalling rpm.rte the following message pops up:

+rpm_share: 0645-025 Unable to locate command module tar.
rpm_share: 0645-007 ATTENTION: init_baselib() returned an unexpected result.+

And the install report from the installp tool says the process was successful.

On the other hand, If I try to bypass those errors and go on with the firefox installation, when installing the prerequisites by issuing: rpm -Uvh *.rpm on the source directory I get:
libc.a(shr.o) is needed by atk-1.12.3-2
libX11.a(shr4.o) is needed by cairo-1.8.8-1
libc.a(shr.o) is needed by cairo-1.8.8-1
libpthreads.a(shr_xpg5.o) is needed by cairo-1.8.8-1
/bin/sh is needed by expat-2.0.1-2
libc.a(shr.o) is needed by expat-2.0.1-2
/bin/sh is needed by fontconfig-2.4.2-1
libc.a(shr.o) is needed by fontconfig-2.4.2-1
libpthreads.a(shr_comm.o) is needed by fontconfig-2.4.2-1
libpthreads.a(shr_xpg5.o) is needed by fontconfig-2.4.2-1
libc.a(shr.o) is needed by freetype2-2.3.9-1
/bin/sh is needed by gettext-0.10.40-8
/bin/sh is needed by gettext-0.10.40-8
libc.a(shr.o) is needed by gettext-0.10.40-8
libiconv.a(shr4.o) is needed by gettext-0.10.40-8
libc.a(shr.o) is needed by glib2-2.12.4-2
libiconv.a(shr4.o) is needed by glib2-2.12.4-2
libpthreads.a(shr_xpg5.o) is needed by glib2-2.12.4-2
/bin/sh is needed by gtk2-2.10.6-5
libX11.a(shr4.o) is needed by gtk2-2.10.6-5
libXext.a(shr.o) is needed by gtk2-2.10.6-5
libc.a(shr.o) is needed by gtk2-2.10.6-5
libpthreads.a(shr_comm.o) is needed by gtk2-2.10.6-5
libpthreads.a(shr_xpg5.o) is needed by gtk2-2.10.6-5
librtl.a(shr.o) is needed by gtk2-2.10.6-5
libc.a(shr.o) is needed by libjpeg-6b-6
/bin/sh is needed by libpng-1.2.32-2
libc.a(shr.o) is needed by libpng-1.2.32-2
libc.a(shr.o) is needed by libtiff-3.8.2-1
libpthreads.a(shr_comm.o) is needed by libtiff-3.8.2-1
libpthreads.a(shr_xpg5.o) is needed by libtiff-3.8.2-1
/bin/sh is needed by pango-1.14.5-4
libX11.a(shr4.o) is needed by pango-1.14.5-4
libc.a(shr.o) is needed by pango-1.14.5-4
libpthreads.a(shr_comm.o) is needed by pango-1.14.5-4
libpthreads.a(shr_xpg5.o) is needed by pango-1.14.5-4
librtl.a(shr.o) is needed by pango-1.14.5-4
libc.a(shr.o) is needed by pixman-0.12.0-3
/bin/sh is needed by xcursor-1.1.7-3
libX11.a(shr4.o) is needed by xcursor-1.1.7-3
libc.a(shr.o) is needed by xcursor-1.1.7-3
/bin/sh is needed by xft-2.1.6-5
/bin/sh is needed by xft-2.1.6-5
libX11.a(shr4.o) is needed by xft-2.1.6-5
libc.a(shr.o) is needed by xft-2.1.6-5
/bin/sh is needed by xrender-0.9.1-3
libX11.a(shr4.o) is needed by xrender-0.9.1-3
libc.a(shr.o) is needed by xrender-0.9.1-3
libc.a(shr.o) is needed by zlib-1.2.3-4
thanks for your much needed help.